<?php
include_once("../php/config.php");
include_once("../header.php");

$cuentas = mysql_query("select * from enlace_cuentas") or die(mysql_error());
$ventas = @mysql_result($cuentas, 0, "ventas");


$id_venta = $_GET["id_venta"];
$sql58 = mysql_query("select * from ventas where id_venta='$id_venta'") or die(mysqli_error($con));

$ticket = @mysql_result($sql58, 0, "ticket");

$param = mysql_query("select * from parametros") or die(mysqli_error($con));

$default_menu = @mysql_result($param, 0, "default_menu_pos");
?>
<style>
  .form-control{
    font-size: 20px;
  }


.col-md-2{
    font-size: 15px;
	@font-weight:bolder;
  }

  td{
    font-size:18px;
  }

  th{
     font-size:18px;
  }

  .mesa_roja{
    background-color: red;
    color: yellow;
  }
  .mesa_verde{
    background-color: green;
    color: white;
  }
  
  body{
	  background:"white";
  }
</style>
<script>


if(isMobile()){
  var id_venta="<?php echo $id_venta?>";
  window.location.href="facturacion2.php?id_venta="+id_venta;
}else{
 
    ///window.location.href="facturacion.php?id="+id;
}


function isMobile(){
    return (
        (navigator.userAgent.match(/Android/i)) ||
        (navigator.userAgent.match(/webOS/i)) ||
        (navigator.userAgent.match(/iPhone/i)) ||
        (navigator.userAgent.match(/iPod/i)) ||
        (navigator.userAgent.match(/iPad/i)) ||
        (navigator.userAgent.match(/BlackBerry/i))
    );
}

</script>


<style>
.fast-sale{
	float:left;
	margin-top:-30px;
	
}

.fast-sale img{
	height:90x;
	width:100px

	
}

.pay{
	float:left;
	margin-top:40px;
	margin-left:8px;
	
}

.pay img{
	height:90x;
	width:100px


	
}

@th{
	font-size:20px;
	font-weight:bolder;
	background:gray;
}

td{
	font-size:18px;
	@font-weight:bolder;
}
@tr:nth-child(even) {background:  #fbffc9 }
@tr:nth-child(odd) {background:  #ffe893 }

@table a{
@text-decoration: none;
}
</style>
<style>
  th{
    @background: #18749B;
    @color:white;
  }

</style>

<script type="text/javascript">

  ///setDefaultTicketName()
/*
  function setDefaultTicketName(){
        var sql = "update ventas set ticket = CONCAT('Venta: ',id_venta, ' - Ticket->N/A') where ticket=''";
      _enviar("../php/update.php", {
        sql: sql
      })

      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }
      })
    
  }
  */
  existCash(myCaja)
///$(".form-control").val("");
  function existCash(caja) {
    var sql = "select * from cajas where nombre='" + caja + "'";
    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
        if (data == "null") {
          alert("Esta PC no esta configurada como punto de ventas!");
          window.location.href = "../parametros/caja.php";
        }

        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        if (myCaja == "") {
          alert("Esta PC no esta configurada como punto de ventas!");
          window.location.href = "../menu/menu.php";
        }



        if (estadoCaja == "Cerrado"  && myLevel=="Cajero")  {
          alert("Esta caja esta cerrada, debe realizar una apertura para realizar esta operacion!");
          window.location.href = "turnos_caja.php";
        }

      })
  }
  cashState(myCaja)



  function cashState(caja) {
    var sql = "select * from apertura_caja where caja='" + caja + "' and usuario='"+myUser+"' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
		if(data=="null" && myLevel=="Cajero"){
		   alert("Esta caja esta cerrada, debe realizar una apertura para realizar esta operacion!");
          window.location.href = "turnos_caja.php";
		}  
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        if (myCaja == "" && myLevel=="Cajero") {
          alert("Esta PC no esta configurada como punto de ventas!");
          window.location.href = "../menu/menu.php";
        }



        if (estadoCaja !="Abierto"  && myLevel=="Cajero") {
          ////alert("Esta caja esta cerrada, debe realizar una apertura para realizar esta operacion!");
          ////window.location.href = "turnos_caja.php";
        }

      })
  }
</script>



<style>
  .transparent {
    background-color: transparent !important;
    box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
  }

  .left-border-none {
    border-left: none !important;
    box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
  }
</style>
<div class="container">
  <ol class="breadcrumb bg-success" style="padding: 16px;">
  <div class="row">
  <div class="col-md-2">
    <i class="fa fa-calendar"></i> <?php echo fecha($hoy) ?>
	 
	<li><a href="javascript:void(0)" onclick="cuenta()"><i class='fa fa-hand fa-lg'></i> Imprimir cuenta</a></li>  
	</div>
	 <div class="col-md-2">
	<li><input class="form-control" type="text" id="txt-ticket" placeholder="Ticket.." value="<?php echo $ticket?>" autocomplete="off"></li>  
	<li>
	</div>
	<?php if($default_menu!="menu_drink"){?>
	<div class="col-md-2">
	<select  class="form-control text-primary"  onChange="$('#txt-ticket').val(this.value); setTicket();" id="mesas">
	<option value='' selected></option>
	
	<!--option value='Mesa-1'>Mesa 1</option>
	<option value='Mesa-2'>Mesa 2</option>
	<option value='Mesa-3'>Mesa 3</option>
	<option value='Mesa-4'>Mesa 4</option>
	<option value='Mesa-5'>Mesa 5</option>
	<option value='Mesa-6'>Mesa 6</option>
	<option value='Mesa-7'>Mesa 7</option>
	<option value='Mesa-8'>Mesa 8</option>
	<option value='Mesa-9'>Mesa 9</option>
	<option value='Mesa-10'>Mesa 10</option>
	<option value='Mesa-11'>Mesa 11</option>
	<option value='Mesa-12'>Mesa 12</option>
	<option value='Mesa-13'>Mesa 13</option>
	<option value='Mesa-14'>Mesa 14</option>
	<option value='Mesa-15'>Mesa 15</option>
	<option value='Mesa-16'>Mesa 16</option>
	<option value='Mesa-17'>Mesa 17</option>
	<option value='Mesa-18'>Mesa 18</option>
	<option value='Mesa-19'>Mesa 19</option>
	<option value='Mesa-20'>Mesa 20</option>
	<option value='Mesa-21'>Mesa 21</option>
	<option value='Mesa-22'>Mesa 22</option>
	<option value='Mesa-23'>Mesa 23</option>
	<option value='Mesa-24'>Mesa 24</option>
	<option value='VIP'>VIP</option>
	<option value='MUEBLE-1'>MUEBLE-1</option>
	<option value='MUEBLE-2'>MUEBLE-2</option>
	<option value='MUEBLE-3'>MUEBLE-3</option>
	<option value='MUEBLE-4'>MUEBLE-4</option-->
	<option value='COTIZACION'>COTIZACION:</option>
	
	

	</select>
	</div>
	<div class="col-md-6">
	<?php }?>
	<a class="btn btn-danger mb-2 cajero" href="_nueva_venta.php"><i class="fa fa-file"></i> <b>NUEVA VENTA</b></a>
			<button class="btn btn-primary vendedor" onclick="window.location.href='cierre.php'"><b>CUADRAR CAJA</b></button>
      <button class="btn btn-default  btn-md cajero" onclick="modalClientes()"> <i class="fa fa-users fa-lg"> </i> Clientes</button>
      <button class="btn btn-default  btn-md cajero" onclick="cotizar()"> <i class="fa fa-print fa-lg"> </i> Cotizacion</button>

</div>
</div>

	<!--button onClick="window.location.href='ventas_abiertas.php'" style="height:45px; margin-top:20px; border:1px solid green;font-size:20px; font-weight:bolder;"><i class="fa fa-clock fa-lg"></i> En espera</button-->
	</li>  
	<br>
	<li><a href="javascript:void(0)" onclick="$('#modalPendiente').modal('show'); $('#txt-buscar3').focus(); lista_pendiente('')"></i> <span class='badge badge-success' id='lbEspera'>0</span> <b>Lista En espera</b></a></li> 
	<li><a id="lbPosponer" href="_nueva_venta.php" ><b><i class='fa fa-hand fa-lg'></i> Poner en espera </b></a></li> 
	<br><br>
	
	<small id="msj0" class="text-danger"></small>
    <div style="float: right;">

      <div class="col-md-2">
        <span class='text-success bold'>NCF</span>
      </div>
      <div class="col-md-9">
        <select class="form-control input-sm" id="ncf" onchange="get_ncf()" style="width:200px">

          <option value="" selected></option>
          <?php $sql2 = mysql_query("select * from ncf order by prefijo desc") ?>

          <?php while ($r = mysql_fetch_array($sql2)) { ?>
            <option value="<?php echo $r['prefijo'] ?>" <?php if ($r['prefijo'] == 'B02') {
                                                          echo 'selected';
                                                        } ?>><?php echo $r['tipo'] ?><?php echo $r['nombre'] ?></option>
          <?php } ?>
        </select>
		<br>
      </div>
    </div>

    <br> <br>
    <span class="text-success h2">Secuencia:<?php echo $_GET["id_venta"]?></span> 
  </ol>

  
    <input type="hidden" class="form-control mt-2 bold" id="txt-folio">
	<input type="hidden" class="form-control mt-2 bold" id="txt-monto2">
     <input type="hidden" class="form-control mt-2 bold" id="items2">

     <input type="hidden" class="form-control mt-2 bold" id="id_venta" value="<?php echo $_GET['id_venta']?>">



  <div class="panel panel-success">
    <div class="panel-heading">
      <div class="row">
        <div class="col-md-1 mt-2">
          <label for="folio" class="bold">Producto</label>
        </div>
		
        <div class="form-group">
          <div class="col-xs-3">
            <div class="input-group   cajero">
              <span class="input-group-addon transparent"><i class="fa fa-barcode fa-lg"></i></span>
              <input id="txt-buscar"  class="form-control left-border-none" placeholder="[Insert] Para buscar productos" type="text"  onKeyUp="lista_productos_(this.value)">
			  	<div onClick="hide_lista_productos()" class="panel panel-default" style="position:absolute;width:90%; padding:8px; margin-top:35px" id="lista_productos_">
					
				</div>
				
<script>
 $("#lista_productos_").hide();
  function hide_lista_productos(){
	  $("#lista_productos_").hide();
  }			 ////LISTA PRODUCTOR///
  function lista_productos_(v) {
	 
    try {
      var sql = "select * from inventario where descripcion like '%" + v + "%' and almacen='"+myAlmacen+"' or codigo='" + v + "' and almacen='"+myAlmacen+"'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista_productos_").hide();
           // return;
          }
		   $("#lista_productos_").show();
          var rs = JSON.parse(data);
          var tabla="";
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_inventario
           
            tabla += "<a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'>" + rs.data[i].descripcion + "</a><br>";
            


          }
          tabla += "</table>";
          $("#lista_productos_").html(tabla+"<br>");
		  if(v==""){$("#lista_productos_").hide();}
          $("td").addClass("font-weight-light");
			
        })
    } catch (e) {
      alert(e.message)
    }
	if(v==""){$("#lista_productos_").hide();}
  }
  </script>
			</div>
			
          </div>
          <div class="col-md-6">
            <button class="btn btn-default  btn-md cajero" onclick="modalNota()"> <i class="fa fa-list-alt fa-lg"> </i> Agregar nota</button>
            <button class="btn btn-default  btn-md cajero" onclick="window.open('../productos/productos.php?', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');"> <i class="fa fa-list-alt fa-lg"> </i> Pdtos.</button>

              <button class="btn btn-default  btn-md cajero" onclick="window.location.href='ventas_abiertas.php'"> <i class="fa fa-undo fa-lg"> </i> Atras</button>
             
              <button class="btn btn-default  btn-md cajero" onclick="cancelar()"> <i class="fa fa-trash fa-lg"> </i> Cancelar</button>

            <button id="btn_grabar" class="btn btn-success  btn-md vendedor" onclick="grabar()"> <i class="fa fa-save fa-lg"> </i> Grabar</button>
          </div>

        </div>
        <script>
          function modalNota() {
            $("#modalNota").modal("show");
			
            $("#txt-nota").focus().select();
          }

          function modalClientes() {
            $("#modalClientes").modal("show");
            $("#txt-buscar30").focus().select();
          }
        </script>
        <input type="hidden" name="" id="txt-costo">




        <div style="float: right; margin-right: 10px; ">

          <input type="hidden" id="txt-impuestos">
          <span class="h3">TOTALES</span>
				<br>
          <span class="h5 text-danger mt-2 bold">ITBIS: <span id="lb-impuestos">0.00</span> </span><br>
          <div style="display:none">
          <span class="h5 text-danger mt-2 bold">I16: <span id="lb-16">0.00</span> </span><br>
          <span class="h5 text-danger mt-2 bold">I13: <span id="lb-13">0.00</span> </span><br>
          <span class="h5 text-danger mt-2 bold">I10: <span id="lb-10">0.00</span> </span><br>
          <span class="h5 text-danger mt-2 bold">IE: <span id="lb-exento">0.00</span> </span><br>
          </div>
		    
          <span class="h3 text-success">DOP$: <span id="lb-total">0.00</span> </span>
        </div>

      </div>
	  <div class="default-menu" style="display:none" id="menu_drink">
      	   <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('presidente'); modalProductos(); "><img class="img-thumbnail" src="../img/presidente-light-normal.jpg" alt="Rounded Image"><br><center><b>Cerveza <br>presidente</b></center></a></div>		
      	   <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('modelo'); modalProductos(); "><img class="img-thumbnail" src="../img/modelo.jpg" alt="Rounded Image" ><br><center><b>Cerveza <br>modelo</b></center></a></div>
      		<div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('corona'); modalProductos(); "><img class="img-thumbnail" src="../img/corona.jpg" alt="Rounded Image" ><br><center><b>Cerveza <br>Corona</b></center></a></div>
      	<div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('cerveza'); modalProductos(); "><img class="img-thumbnail" src="../img/cervezas.jpg" alt="Rounded Image" ><br><center><b>Cerveza <br>en Gral.</b></center></a></div>

      	   <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('wis'); modalProductos(); "><img class="img-thumbnail" src="../img/whisky.jpg" alt="Rounded Image" ><br><center><b>Wisky</b></center></a></div>
</div>
		

<div class="default-menu" style="display:none" id="menu_repuesto">
           <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('tornillo'); modalProductos(); "><img class="img-thumbnail" src="../img/tornillo.jpg" alt="Rounded Image"><br><center><b>Tornillos</b></center></a></div>    
           <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('llave'); modalProductos(); "><img class="img-thumbnail" src="../img/llave.jpg" alt="Rounded Image" ><br><center><b>Llaves</b></center></a></div>
          <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('goma'); modalProductos(); "><img class="img-thumbnail" src="../img/goma.jpg" alt="Rounded Image" ><br><center><b>Gomas</b></center></a></div>
        <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('mofle'); modalProductos(); "><img class="img-thumbnail" src="../img/mofler.jpg" alt="Rounded Image" ><br><center><b>Mofler</center></a></div>

           <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('tubo'); modalProductos(); "><img class="img-thumbnail" src="../img/tubo.jpg" alt="Rounded Image" ><br><center><b>Tubos</b></center></a></div>
</div>


    </div>
<script>
  var default_menu = "<?php echo $default_menu?>";

$("#"+default_menu).show();
</script>
    <div class="panel-body">
	
	<button  class="btn btn-success cajero" onClick="modalProductos()"><i class="fa fa-cubes"></i> Seleccionar productos</button>
   
	<div id="lista">

      </div>
      <span class="text-primary" id="items"><b>Items: 0</b></span>
	 
    </div>

  </div>

 <?php
 if($default_menu=="menu_drink"){
	 

	  echo "<a href='#' id='VIP' onClick=enlace(this.id)><div class='VIP' style='border:solid red 1px; margin-top:8px; border-radius:45px 45px 45px; width:70px; height:60px; text-align:center; font-size:25; padding:10px; float:left; margin-left:8px;'>VIP</div></a>";
 
  for($x=1; $x<=4; $x++){
	  echo "<a href='#' id='MUEBLE-$x' onClick=enlace(this.id)><div class='MUEBLE-$x' style='border:solid blue 1px; margin-top:8px; border-radius:45px 45px 45px; height:60px; text-align:center; font-size:25; padding:10px; float:left; margin-left:8px;'>Mueble-".$x."</div></a>";
  }
  for($i=1; $i<=24; $i++){
	  echo "<a href='#' id='Mesa-$i' onClick=enlace(this.id)><div  class='Mesa-$i' style='border:solid green 1px; margin-top:8px; border-radius:45px 45px 45px; width:70px; height:60px; text-align:center; font-size:25; padding:10px; float:left; margin-left:8px;'>".$i."</div></a>";
  }
 }
 ?>
 <script>
 function enlace(v){
	 var id_venta = "<?php echo $id_venta?>";
	 window.location.href="enlace_mesa.php?mesa="+v+"&id_venta="+id_venta+"&lnMesa=1";
 }

 var lnMesa = "<?php echo $_GET['lnMesa']?>";
if(lnMesa=="1"){
  $("#txt-ticket").prop("readonly", true);
}
 </script>

</div>




<!---Modal productos-->
<div class="modal" id="modalProductos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Productos</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <input class="form-control mb-2 bolder" placeholder="Buscar producto..." type="search" id="txt-buscar2" onkeyup="lista_productos(this.value)">
        <div class="table-responsive border p-2" id="lista-productos" style="max-height: 350px; overflow-y: scroll;">

        </div>
      </div>
      <div class="modal-footer">
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<!---Modal clientes-->
<div class="modal" id="modalClientes" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-users"></i> Clientes</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <input class="form-control mb-2 bolder" placeholder="Buscar producto..." type="search" id="txt-buscar30" onkeyup="lista_clientes(this.value)">
        <div class="table-responsive border p-2" id="lista-clientes" style="max-height: 350px; overflow-y: scroll;">

        </div>
      </div>
      <div class="modal-footer">
       <a class="btn btn-danger" href="#" onClick="crear_cliente()"> <i class="fa fa-w fa-edit"></i> Crear o Modificar un cliente</a>
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> SALIR</a>
      </div>
    </div>
  </div>
</div>

<script>
  function crear_cliente(){
    window.open('../clientes/clientes.php','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');

  }
</script>

<!---Modal pendiente-->
<div class="modal" id="modalPendiente" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-clock"></i> Ventas en espera</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <input class="form-control1 mb-2 bolder" placeholder="Buscar producto..." type="search" id="txt-buscar3" onkeyup="lista_pendiente(this.value)">
        
		<div class="table-responsive border p-2" id="lista-pendiente" style="max-height: 350px; overflow-y: scroll;">

        </div>
      </div>
      <div class="modal-footer">
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<!---Modal detalle-->
<div class="modal" id="modalDetalle" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Cantidad / Precio</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label>Cantidad</label>
        <input class="form-control mb-2 bold text-primary" type="number" id="txt-cantidad">
	 <label>Precios</label>
	 <div class="row">
	 <div class="col-md-6">
		        <input class="form-control mb-2 bold text-success" type="number" id="txt-precio1" readonly onClick="$('#txt-precio').val(this.value)">

		</div>
		
		<div class="col-md-6">
		        <input class="form-control mb-2 bold text-success" type="number" id="txt-precio2" readonly onClick="$('#txt-precio').val(this.value)">

		</div>
	
		</div>	
		
	<div class="row">
		
		<div class="col-md-9">
		        <input class="form-control mb-2 bold text-success" type="number" id="txt-precio" onClick="" disabled>
		
		</div>
				<div class="col-md-3 mt-2">
				 <a href="javascript:void(0)" class="text-info" onClick="auth_user()"> <i class="fa fa-w fa-edit fa-lg"></i></a>
		
				</div>
		
	</div>
       



      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="update_detalle(); $('#txt-precio').prop('disabled', true)" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>
        <a href="javascript:void(0)" class="btn btn-default" onClick="borrar()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Borrar</a>
        <a href="javascript:void(0)" class="btn btn-success" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>




<!---Modal nota-->
<div class="modal" id="modalNota" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Nota</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">Agregar nota(Nombre del cliente, telefono o direccion)</label>
        <textarea id="txt-nota" class="form-control">

              </textarea>



      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="update_nota" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>

      </div>
    </div>
  </div>
</div>

<!---Modal productosAgotados-->
<div class="modal" id="modalStockAgotado" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> AVISO</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">Los siguientes productos estan agotados</label>
        <div class="bg-success" id="msgModal">
		
		</div>
      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="update_nota" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>

      </div>
    </div>
  </div>
</div>





<!---Modal grabar-->
<div class="modal" id="modalGrabar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
		<br>
		 <span class="h3 text-info"><i class="fa fa-w fa-edit"></i> Seleccione el metodo de pago</span>
		 <br>

		<div class="pay text-success"><a href="#" onClick="$('#termino').val('Efectivo'); $('#txt-pagado').prop('disabled', false);"><img class="img-thumbnail" src="../img/Cash-256.png" alt="Rounded Image"><br><center><b>Efectivo</b></center></a></div>		
		<div class="pay text-success"><a href="#" onClick="$('#termino').val('Tarjeta');$('#termino').change(); $('#txt-pagado').prop('disabled', false);"><img class="img-thumbnail" src="../img/creditcard.png" alt="Rounded Image"><br><center><b>Tarjeta</b></center></a></div>		
		<div class="pay text-success"><a href="#" onClick="$('#termino').val('Cheque'); $('#termino').change(); $('#txt-pagado').prop('disabled', false);"><img class="img-thumbnail" src="../img/Invoice-128.png" alt="Rounded Image"><br><center><b>Cheque</b></center></a></div>		
		<div class="pay text-success"><a href="#" class='text-danger' onClick="$('#termino').val('Credito'); $('#txt-pagado').prop('disabled', true); $('#txt-pagado').val(''); $('#txt-devuelta').val('')"><img class="img-thumbnail" src="../img/Invoice-128.png" alt="Rounded Image"><br><center><b>Credito</b></center></a></div>		

      </div>
      <div class="modal-body btn-grabar">

        <div class="row">
          <div class="col-md-3">
            <b class="text-primary">Termino</b>
          </div>
          <div class="col-md-9">
		  
		  <input type="hidden" id="txt-balance-cliente">
		  <input type="hidden" id="txt-max_credito-cliente">
		  
            <select class="form-control  mb-2 btn-grabar" id="termino" style="font-size:14px">

              <option value="Efectivo">Efectivo</option>
              <option value="Credito">Credito</option>
              <option value="Conduce">Coduce</option>
              <option value="Tarjeta">Tarjeta</option>
              <option value="Cheque">Cheque</option>


            </select>
          </div>
        </div>




        <div class="row">
          <div class="col-md-3">
            <b>Cliente</b>
          </div>
          <div class="col-md-9">
            <select class="form-control  mb-2 btn-grabar" id="clientes" onclick="get_cliente()" style="font-size:14px">

              <option value="Generico" selected>Clte. Generico</option>
              <?php $sql2 = mysql_query("select * from clientes order by nombre asc") ?>

              <?php while ($r = mysql_fetch_array($sql2)) { ?>
                <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
              <?php } ?>
            </select>
          </div>
        </div>

        <div class="row">
          <div class="col-md-3">
            <b>Monto factura</b>
          </div>
          <div class="col-md-9">
            <input type="number" id="txt-monto" placeholder="0.00" class="form-control bold text-success " disabled>
          </div>
        </div>
        <hr>
        <div class="row">
          <div class="col-md-3">
            <b class="text-primary">PAGADO</b>
          </div>
          <div class="col-md-9">
            <input type="number" id="txt-pagado" onKeyPress="uniKeyCode(event)" placeholder="0.00" class="form-control bold text-danger btn-grabar" onKeyUp="devuelta()">
          </div>
        </div>

        <br>
        <div class="row">
          <div class="col-md-3">
            <b>DEVUELTA</b>
          </div>
          <div class="col-md-9">
            <input type="number" id="txt-devuelta" placeholder="0.00" class="form-control bold text-primary" disabled>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button id="btn-grabar" class="btn btn-success btn-grabar" onclick="sec_grabar_venta()"> Grabar</button>

        <a href="javascript:void(0)" class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<?php
include("../footer.php");
?>
<script type="text/javascript" src="espera.js"></script>
<!--script type="text/javascript"  espera_a_carrito.js"></script-->
<script type="text/javascript" src="balance_cliente.js"></script>
<script type="text/javascript">

  var secuencia = "";
  $("#txt-monto").val("")
     $("#mesas").val("")
   _secuencia()
  //folio();

  $(function(){
      lista($("#id_venta").val())

  })




$("#txt-ticket").on("keyup", function(){
  setTicket();
})




function setTicket(){
   $("#msj0").html("Grabando nombre de ticket porfavor espere");	
   ////$("#txt-ticket").prop("disabled", true);
   $("#lbPosponer").hide();
   var sql = "update ventas set ticket='" + $("#txt-ticket").val() + "' where id_venta='" + $("#id_venta").val() + "'";

    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
         console.log("Registro grabado, Ticket: "+$("#txt-ticket").val())
		$("#msj0").html("Nombre de ticket registrado!");
		$("#lbPosponer").show();
		$("#txt-ticket").prop("disabled", false);
        } else {
          alert(data)
        }
      })
}
function get_precios(co) {
    var sql = "select * from productos where codigo='" + co + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          $("#txt-precio1").val(rs.data[i].precio);
		  $("#txt-precio2").val(rs.data[i].precio2);

        }

      })
  }
  var ntj="";
  var nch="";
  var monto_tarjeta = 0;
  var monto_cheque = 0;
  var efectivo ="";
  function lista(folio) {
    try {
      $.get("carrito.php?folio=" +$("#id_venta").val(), function(data, st) {
        if (st == "success") {
          $("#lista").html(data);
          suma()
          
        }
      });
    } catch (e) {
      alert(e.message)
    }
  }


  $("#termino").change(function() {
    var termino = $("#termino").val()
    if (termino == "Credito" || termino == "Conduce" ||  termino == "Cheque" || termino == "Tarjeta") {

      $("#txt-pagado").val("");
      $("#txt-pagado").prop("disabled", true);
      $("#txt-devuelta").val("");
      $("#txt-devuelta").prop("disabled", true);
      
      if(termino=="Cheque"){
        $("#txt-pagado").val( $("#txt-monto").val());
        nch	= prompt("# Cheque, Referencia");
  	  }

  	  
      if(termino=="Tarjeta"){
        $("#txt-pagado").val( $("#txt-monto").val());
      		ntj = prompt("|| # Tarjeta ||: , Referencia");
         
  	  }


    } else {
      $("#txt-pagado").val("");
      $("#txt-pagado").prop("disabled", false);
      $("#txt-devuelta").val("");

      
      if(termino=="Tarjeta"){
      		ntj = prompt("|| # Tarjeta ||: , Referencia");
          
  	  }


    }

  })


  ////LISTA PRODUCTOS///
  function lista_productos(v) {
    try {
      var sql = "select * from inventario where descripcion like '%" + v + "%' and almacen='" + myAlmacen + "' or  codigo like '%" + v + "%' and almacen='" + myAlmacen + "'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista-productos").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);
          var tabla = "<table  class='table table-hover' ><th>CODIGO</th><th>PRODUCTO</th><th>PRECIO</th><th>STOCK</th><tbody>";
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_inventario
            tabla += "<tr>";
			
			tabla += "<td width='90'><a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'>" + rs.data[i].codigo + "</a></td>";

            tabla += "<td width='250'><a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'>" + rs.data[i].descripcion + "</a></td>";
            tabla += "<td>" + rs.data[i].precio + "</td>";
			tabla += "<td>" + rs.data[i].cantidad + "</td>";
            tabla += "</tr>";

          }
          tabla += "</tbody></table>";
          $("#lista-productos").html(tabla);
          $("td").addClass("font-weight-light");

        })
    } catch (e) {
      alert(e.message)
    }
  }
 
 ////LISTA CLIENTES///
 function lista_clientes(v) {
    try {
      var sql = "select * from clientes where nombre like '%" + v + "%' or cedula like '%" + v + "%'";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })

        .done(function(data) {
          if (data == "null") {
            $("#lista-clientes").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);
          var tabla = "<table  class='table table-hover' ><th>CODIGO</th><th>NOMBRE</th><th>RNC</th><tbody>";
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_cliente
            tabla += "<tr>";
			
			tabla += "<td width='90'><a href='javascript:void(0)' id='"+rs.data[i].nombre+"' onclick='get_lista_cliente(this.id)'>" + rs.data[i].id_cliente + "</a></td>";

            tabla += "<td width='250'><a id='"+rs.data[i].nombre+"' href='javascript:void(0)' onclick='get_lista_cliente(this.id)'>" + rs.data[i].nombre + "</a></td>";
            tabla += "<td>" + rs.data[i].cedula + "</td>";

            tabla += "</tr>";

          }
          tabla += "</tbody></table>";
          $("#lista-clientes").html(tabla);
          $("td").addClass("font-weight-light");

        })
    } catch (e) {
      alert(e.message)
    }
  }

  var cCliente = "";
  var cCedula = "";
  var cTelefono =  "";
  var cDireccion = "";
  var cTermino = "";
  var cTipoNcf = "";
  function get_lista_cliente(v){
    cCliente = v;
    $("#clientes option[value='"+v+"']").prop('selected', true);
    $("#modalClientes").modal('hide');

    $(".modal").modal("hide");
    $("#loading").modal("show");
  
    var sql = "select * from clientes where nombre='" + v + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
     
      .done(function(data) {
        var rs = JSON.parse(data);
        cCedula = rs.data[0].cedula
        cTelefono =  rs.data[0].telefono
        cDireccion =  rs.data[0].direccion
        cTermino =  rs.data[0].termino
        cTipoNcf =  rs.data[0].tipo_ncf
        $("#ncf option[value='"+cTipoNcf+"']").prop('selected', true);
		$("#ncf").change();
        $("#termino option[value='"+cTermino+"']").prop('selected', true);
        
      })
      $("#loading").modal("hide");
    }
  


  function modalProductos() {
    $("#modalProductos").modal("show");
    $("#lista-productos").html("<small class='text-primary'>Buscando productos...</small>");
    $("#txt-buscar2").focus().select();
    lista_productos($("#txt-buscar2").val());
    $("#txt-buscar").val("")
    ///$("#txt-buscar2").val("")
  }

  var precio = 0;
  var costo = 0;
  var descripcion = "";
  var codigo = "";
  var id_producto = 0;
  var folio = 0;
  var tipo_impuesto = 0;
  var valor_impuesto = 0;
  var total_impuesto = 0;

  function get_lista(id) {
    $(".modal").modal("hide");
    $("#loading").modal("show");
  
    var sql = "select * from inventario where id_inventario='" + id + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          id_producto = rs.data[i].id_inventario;
          codigo = rs.data[i].codigo;
          descripcion = rs.data[i].descripcion;
          costo = rs.data[i].costo;
          precio = rs.data[i].precio;
		      precio2 = rs.data[i].precio2;
          tipo_impuesto = rs.data[i].tipo_impuestos;
          valor_impuesto = rs.data[i].valor_impuestos;


        }
        agregar(codigo, descripcion, costo, precio,precio2, tipo_impuesto, valor_impuesto);

      })
  }

  function agregar(codigo, descripcion, costo, precio, precio2, tipo_impuesto, valor_impuesto) {
   if($("#txt-monto").val()==""){
	   $("#txt-monto").val("0");
   }
   
   var lmt = parseFloat($("#txt-monto").val())
   var ltt = parseFloat(lmt)+parseFloat(precio)
    if (codigo == "") {
      alert('Producto no encontrado');
      return
    }
    var sql = "";

    sql = "INSERT INTO detalle_venta set";
    sql += " descripcion='" + descripcion + "'";
    sql += ", codigo='" + codigo + "'";
    sql += ", costo='" + costo + "'";
    sql += ", total_costo='" + costo + "'";
	
    sql += ", precio='" + precio + "'";
	sql += ", precio2='" + precio2 + "'";
    sql += ", total_precio='" + precio + "'";
    
    sql += ", tipo_impuesto='" + tipo_impuesto + "'";
    sql += ", valor_impuesto='" + f_impuestos(tipo_impuesto, precio) + "'";
    sql += ", total_impuesto='" +f_impuestos(tipo_impuesto, precio)+ "'";
    sql += ", cantidad=1";
    sql += ", fecha=NOW()";
    sql += ", usuario='" + myUser + "'";
	sql += ", caja='"+myCaja+"'";
    sql += ", folio='" + $("#id_venta").val() + "'";
	sql += ", secuencia='" + secuencia + "'";
    ///$(".modal").modal("hide");
    /////$("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
          lista(myCaja+""+folio);
          $(".modal").modal('hide');
          $("#txt-buscar").val("");
          $("#txt-buscar2").val("");
          $("#txt-buscar").focus().select();
          $("#loading").modal("hide");
		  if(from_cod=="1"){
			ver2()
			from_cod=="1";
		  }
		  checkStock($("#id_venta").val())
        } else {
          alert(data)
          $("#loading").modal("hide");
        }
      })

  }


  var total = 0.00;
  var total_costo = 0.00;
  var total_impuesto = 0.00;
 
  function suma() {
    var sql = "select total_costo,total_precio, tipo_impuesto, valor_impuesto, total_impuesto from detalle_venta where folio='" + $("#id_venta").val() + "'";
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "null") {
          $("#lb-total").html("0.00")
           $("#items").html("Items: 0")
		   $("#items2").val(0)
          $("#lb-impuestos").html("0.00");

          $("#txt-impuestos").val("");
          $("#txt-monto").val("");
          $("#txt-costo").val("");
          total = 0.00;
          total_costo = 0.00
          total_impuesto = 0.00
           setTotal(total, total_costo)
          c = 0;
          return;
        }

        var rs = JSON.parse(data);
        c = 0;
         ////impuestos() 
        for (var i in rs.data) {
          total += parseFloat(rs.data[i].total_precio);
          total_costo += parseFloat(rs.data[i].total_costo);
          total_impuesto += parseFloat(rs.data[i].total_impuesto);
          c++;
        }
       

        $("#lb-total").html(numeral(total).format('0,0.00'))
        $("#lb-impuestos").html(numeral(total_impuesto).format('0,0.00'))
        $("#txt-impuestos").val(total_impuesto);
        $("#txt-monto").val(total);
         setTotal(total, total_costo)
		 $("#txt-monto2").val(total);
        $("#txt-costo").val(total_costo);
        $("#items").html("Items: "+c)
		$("#items2").val(c)
        total = 0.00;
        total_costo = 0.00
        total_impuesto = 0.00;

      })
	  $("#txt-buscar").focus()
   
  }

  var id_detalle;

  function ver(v) {
    var sql = "select * from detalle_venta where id_detalle='" + v + "'"
    $(".modal").modal("hide");
    ///$("#loading").modal("show");
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          id_detalle = rs.data[i].id_detalle
          $("#modalDetalle").modal("show");
          $("#txt-cantidad").val(rs.data[i].cantidad)
          $("#txt-precio").val(rs.data[i].precio)
          $("#txt-cantidad").focus().select();
		    get_precios(rs.data[i].codigo);
        }


      })
	  $("#txt-buscar").focus()
  }
  
    function ver2() {
	/*
    var ven = $("#id_venta").val()
    var sql = "select * from detalle_venta  where folio='"+ven+"' order by id_detalle desc limit 1"
    $(".modal").modal("hide");
    ///$("#loading").modal("show");
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          id_detalle = rs.data[i].id_detalle
          $("#modalDetalle").modal("show");
          $("#txt-cantidad").val(rs.data[i].cantidad)
          $("#txt-precio").val(rs.data[i].precio)
          $("#nota_item").val(rs.data[i].nota)
          $("#txt-cantidad").focus().select();
		    get_precios(rs.data[i].codigo);
        }


      })
	  $("#txt-buscar").focus()
	  */
  }

  function update_detalle() {
    var cantidad = $("#txt-cantidad").val();
    var precio = $("#txt-precio").val()
    if (cantidad == "" || parseFloat(cantidad) <= 0 || precio == "" || parseFloat(precio) <= 0) {
      alert('Datos invalido');
      return
    }
    var sql = "";

    sql = "UPDATE detalle_venta set";
    sql += " cantidad='" + cantidad + "'";
    sql += ", precio='" + precio + "'";
    sql += ", total_precio=precio *'" + cantidad + "'";
    sql += ", total_costo=costo * '" + cantidad + "'";
    sql += ", total_impuesto='" + f_impuestos(tipo_impuesto,precio)*cantidad+ "'";
	
    sql += " WHERE id_detalle='" + id_detalle + "'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
         
          lista(myCaja+""+folio);
          $(".modal").modal('hide');
		  checkStock($("#id_venta").val())

        } else {
          alert(data)
        }
      })
	  $("#txt-buscar").focus()
  }

function setTotal(t, cst){
  var sql = "UPDATE ventas SET total='"+t+"', costo='"+cst+"' WHERE id_venta='" + $("#id_venta").val() + "'";
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
         console.log("Venta actualizada, total: "+t)

        } else {
          alert(data)
        }
      })
}


  function borrar() {
	if(!confirm("BORRAR ESTE ARTICULO DE LA LISTA")){return;}  
    var sql = "";
    sql = "delete from detalle_venta";
    sql += " WHERE id_detalle='" + id_detalle + "'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
          lista($("#id_venta").val());
          suma()
          $(".modal").modal('hide');

        } else {
          alert(data)
        }
      })
	   $("#txt-buscar").focus()
  }

  function nuevo() {
    if (!confirm("Limpiar los datos de esta venta?")) {
      return;
    }
    var sql = "";
    sql = "delete from detalle_venta";
    sql += " WHERE folio='" + $("#id_venta").val() + "'";

    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
          lista($("#id_venta").val());
          total_costo = 0;
          total_precio = 0;
          total_impuestos = 0;
          id_detalle = "";

          $("#lb-total").html("0.00");
          $("#lb-impuestos").html("0.00");
          $("#txt-monto").val("");
          $("#txt-costo").val("");
          $("#txt-impuestos").val("");
		  $("#txt-ticket").val("");
		   $("#mesas").val("")


        } else {
          alert(data)
        }
      })
	   $("#txt-buscar").focus()
  }

  function nuevo2() {

    var sql = "";
    sql = "delete from detalle_venta";
    sql += " WHERE folio='" +$("#id_venta").val() + "'";
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
          lista($("#id_venta").val());
          total_costo = 0;
          total_precio = 0;
          total_impuestos = 0;
          id_detalle = "";

          $("#lb-total").html("0.00");
          $("#lb-impuestos").html("0.00");
          $("#txt-monto").val("");
          $("#txt-costo").val("");
          $("#txt-impuestos").val("");



        } else {
          alert(data)
        }
      })
	   $("#txt-buscar").focus()
  }

  ////FOLIO///
  function folio() {
   /*
    var sql = "select * from parametros"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          $("#txt-folio").val(rs.data[i].folio_ventas);
          folio = (rs.data[i].folio_ventas);
          lista(myCaja+""+folio)
		  setFolioDetallePendiente()
        }

      })
	   $("#txt-buscar").focus()
     */
  }

  function grabar() {
 checkStock($("#id_venta").val())
    var itotal = $("#txt-monto").val()
    if (itotal == "") {
      alert("El monto de la factura esta nulo");
      return
    }

    $("#modalGrabar").modal("show");
    $("#txt-pagado").focus().select();
	$("#txt-pagado").val("")
	$("#txt-balance-cliente").val("")
	$("#txt-max_credito-cliente").val("")
	$("#clientes").val("")
	$("#termino").val("")
	$("#txt-pagado").prop("disabled", false)
  $("#clientes option[value='"+cCliente+"']").prop('selected', true);
  $("#termino option[value='"+cTermino+"']").prop('selected', true);
	$("#cliente").click();
  $("#termino").change();

  }



  function checkStock(venta){
	  $.get("check_stock.php?id_venta="+venta , function(data, st){
		  if(st=="success"){
			  if(data!="null"){
				  var d = JSON.parse(data);
				  if(d.contador>0){
					$(".modal").modal('hide');
					$("#modalStockAgotado").modal('show');
					$("#msgModal").html(d.contenido)
					return;
				  }
			  }
		  }
	  } )
  }

  function  sec_grabar_venta(){
				checkStock($("#id_venta").val())
				var cliente = $("#clientes").val()
				var monto = $("#txt-monto").val()
				
				var debe = $("#txt-balance-cliente").val()
				var limite = $("#txt-max_credito-cliente").val()
				if(monto==""){monto = 0;}
				if(debe==""){debe = 0;}
				if(limite==""){limite = 0;}
				
				var termino = $("#termino").val()
				///alert(termino+" "+monto+" "+debe+" "+limite)
				///return;
				if(termino=="Credito" && limite>0){
					var acumulado = parseFloat(monto) + parseFloat(debe)
					if(acumulado>= limite){
						alert("Limite de credito exedido para este cliente!!!");
					
					}else{
						sec_grabar_venta2()
					}
					
				}else{
					sec_grabar_venta2()
				}
  }











  /*GRABAR VENTA*/

  function grabar_venta() {
	var acuenta = "<?php echo $ventas?>";  
    var monto = $("#txt-monto").val()
    var pago_con = $("#txt-pagado").val()
    var devuelta = $("#txt-devuelta").val()
    var termino = $("#termino").val()
    var cliente = $("#clientes").val()
    var costo = $("#txt-costo").val()
    var impuestos = $("#txt-impuestos").val()
    var nota = $("#txt-nota").val()
    var i16 = $("#lb-16").html()
    var i13 =   $("#lb-13").html()
    var i10 =   $("#lb-10").html()
    var ie =  $("#lb-exento").html()
	
	var itbis_fijo=1.18;
	var sin_itbis = monto / itbis_fijo
	var total_itbis = monto - sin_itbis
	
    if (cliente == "Generico" && termino == "Credito" || termino == "Conduce" && cliente == "Generico") {
      alert("Debe seleccionar un cliente");
      $(".modal").modal("hide");
      return;
    }

    if (parseFloat(monto) > parseFloat(pago_con)) {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }
    var pagado = 0.00;
    if (parseFloat(pago_con) > parseFloat(monto)) {
      pagado = monto;
    } else {
      pagado = pago_con;
    }
    if (pago_con == "" && termino == "Efectivo" || parseFloat(pago_con) <= 0 && termino == "Efectivo") {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }
	
	  if (pago_con == "" && termino == "Tarjeta" || parseFloat(pago_con) <= 0 && termino == "Tarjeta") {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }
	
	
	if (pago_con == "" && termino == "Cheque" || parseFloat(pago_con) <= 0 && termino == "Cheque") {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }
	
    comprobante_generado = ncf + "" + secuenciancf.padStart(8, '0');
    if (termino == "Conduce") {
      tipo_ncf = "";
      comprobante_generado = ""
    }
	
	if(grabando=="si"){return;}
	grabando="si";

  if (termino == "Tarjeta") {
    monto_cheque = 0;
    monto_tarjeta = $("#txt-pagado").val()
  }

  if (termino == "Cheque") {
    monto_tarjeta = 0;
    monto_cheque = $("#txt-pagado").val()
  }
 
  if (termino == "Efectivo") {
    efectivo = $("#txt-pagado").val()
    monto_tarjeta = 0;
    monto_cheque = ""
  }

  if (termino == "Cheque" && nch=="" || termino == "Cheque" && nch==null) {
    alert("DEBE PONER UNA REFERENCIA A ESTE CHEQUE!!");
   window.location.reload()
    return;
  }

  if (termino == "Tarjeta" && ntj=="" || termino == "Tarjeta" && ntj==null) {
    alert("DEBE PONER UNA REFERENCIA A ESTA TARJETA!!");
    window.location.reload()
    return;
  }

    var sql = "";
    sql = "UPDATE ventas set ";
    sql += " fecha=NOW()";
    sql += ", hora=NOW()";
	  sql += ", concepto='Venta'";
    sql += ", estado='Cerrada'";
    sql += ", cliente='" + cliente + "'";
    sql += ", ticket='" + $("#txt-ticket").val() + "'";
    sql += ", precio='" + precio + "'";
    sql += ", costo='" + costo + "'";
    sql += ", total='" + monto + "'";
    sql += ", usuario='" + myUser + "'";
    sql += ", folio='" + $("#id_venta").val()+ "'";
    sql += ", termino='" + termino + "'";
    sql += ", efectivo='" + efectivo + "'";
    sql += ", monto_tarjeta='" + monto_tarjeta + "'";
    sql += ", referencia_tarjeta='" + ntj + "'";
    sql += ", numero_cheque='" + nch + "'";
    sql += ", cheque='" + monto_cheque + "'";
    sql += ", pago_con='" + pago_con + "'";
    sql += ", pagado='" + pagado + "'";
    sql += ", devuelta='" + devuelta + "'";
    sql += ", impuesto='" + total_itbis + "'";
    ///sql += ", impuesto_16='" + i16 + "'";
    ///sql += ", impuesto_13='" + i13 + "'";
    //sql += ", impuesto_10='" + i10 + "'";
    //sql += ", impuesto_exento='" + ie + "'";
    sql += ", tipo_ncf='" + tipo_ncf + "'";
    sql += ", secuencia='" + secuencia + "'";
    sql += ", ncf='" + comprobante_generado + "'";
	
	 if (termino == "Credito") {
      sql += ", balance='" + monto + "'";
    }
	
    sql += ", nota='" +$("#txt-ticket").val()+" - "+ nota + "' where id_venta='"+$("#id_venta").val()+"'";
    
	 if (termino == "Efectivo") {
	 updateCuenta(acuenta, monto)

    }


    $(".modal").modal("hide");
    $("#loading").modal("show");

    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        //var rs = JSON.parse(data);
        if (data == "1") {
		  cerrarVentaDetalle($("#txt-ticket").val())
          scan_detalle();
          ncf = $("#ncf").val()
          if (termino != "Conduce") {
            generar_ncf();
			
          }


        } else {
          alert(data);
          $("#btn-grabar").show()
        }

      })

 $("#txt-buscar").focus()
  }
 
 function updateCuenta(acuenta, total){
	  try{
            var sql="";                            
            sql="UPDATE cuentas set balance=balance + '"+total+"' where numero_cuenta='"+acuenta+"'";
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
                ////var rs = JSON.parse(data);
				if(data=="1"){
					/////
				}else{
					alert(data)
				}
                
            })


}catch(e){
  alert(e.message)
}
}

function cerrarVentaDetalle(tk00){
	var sql = "update detalle_venta set estado='Cerrada' where folio='"+tk00+"'"
  $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
				generarFolioFactura("<?php echo $id_venta?>");
		  }
			
      })
	
}
 
 function generarFolioFactura(n){
 	var sql = "insert into folio_ventas set id_venta='"+n+"'"
  $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
				////put2(t)
		  }else{
		  	alert(data);
		  }
			
      })
	
	/// $("#txt-buscar").focus()

}  
 

function setFolioDetallePendiente(){
	var sql = "update detalle_pendiente set folio='"+myCaja+""+folio+"' where caja='"+myCaja+"'"
  $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
				////put2(t)
		  }
			
      })
	
	 $("#txt-buscar").focus()

}  
function selectId(){
  /*
	 var sql = "";
      sql = "select * from ventas where folio='" + folio + "' and usuario='"+myUser+"' order by id_venta desc limit 1";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);
		  setId(rs.data[0].id_venta)
        })
}

 function setId(id){
	 sql = "update detalle_venta set id_venta='" + id + "' where folio='"+folio+"' and usuario='"+myUser+"'";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
         //
		})
		 $("#txt-buscar").focus()
    */
 }
 

  function scan_detalle() {
    try {
      var sql = "";
      sql = "select * from detalle_venta where folio='" + $("#id_venta").val() + "'";
      $(".modal").modal("hide");
    $("#loading").modal("show");
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);

          for (i in rs.data) {

            kardex(rs.data[i].codigo, rs.data[i].descripcion, rs.data[i].cantidad, "Venta-" + $("#id_venta").val(), "Retirado", rs.data[i].almacen, rs.data[i].id_inventario)
          }

        })


    } catch (e) {
      alert(e.message)
    }
 $("#txt-buscar").focus()
  }




  ////KARDEX////
  contado = 0;
  c = 0;

  function kardex(codigo, descripcion, cantidad, concepto, tipo, almacen, id_inventario) {
    try {
      var datos = "codigo="+codigo
      datos+= "&descripcion="+descripcion
      datos+= "&cantidad="+cantidad
      datos+= "&concepto="+concepto
      datos+= "&tipo="+tipo
      datos+= "&almacen="+myAlmacen

      datos+= "&usuario="+myUser
      $(".modal").modal("hide");
      $("#loading").modal("show");
      $.get("kardex.php?" + datos, function(data, st) {
        if (st == "success") {

          contado++;
          //alert(contado+" - "+c)
          if (contado == c) {

            $("button").prop("disabled", true);
            $("#btn-grabar").hide()

            update_folio()

            contado = 0;
          }
        }
        $(".modal").modal("hide");
      });
    } catch (e) {
      alert(e.message)
    }
 $("#txt-buscar").focus()
  }







  function update_folio() {
    /*
    var sql = "";
    sql = "UPDATE parametros set";
    sql += " folio_ventas=folio_ventas+1";


    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        //var rs = JSON.parse(data);
        if (data == "1") {
          ///alert("Venta " + folio + " grabada con exito")

          //$(".modal").modal('hide');
          */
    var id_venta00 = "<?php echo $id_venta?>";     
    var sql = "select * from folio_ventas where id_venta='" + id_venta00+"'"
    
    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
        var folio00 = rs.data[0].id_folio;
        xsFolio(folio00, id_venta00)
        

      });

          
       
   ///   })
	  /// $("#txt-buscar").focus()
    ///*/ 
  }
  function xsFolio(f, id_venta00){
   var sql = "update ventas set folio='"+f+"' where id_venta='" + id_venta00+"'"
    
    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
        
        //window.open('ticket_factura.php?folio=' + $("#id_venta").val(), '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
var impresion = localStorage.getItem("impresion");

        if(impresion=="" || impresion==null){
          impresion = "POS";

        }
        if(impresion=="Carta"){
          window.location.href="ticket_factura_carta.php?folio="+ $("#id_venta").val()
        }else{
          window.location.href="ticket_factura.php?folio="+ $("#id_venta").val()
        }
                $("button").prop("disabled", false);
        

      });	
   
  /*!GRABAR VENTA*/
}


  ///NCF//
  var ncf = "";
  var ncf_generado = "";

  var tipo_ncf = "";
  var secuenciancf=""

  function generar_ncf() {

    var sql = "update ncf set secuencia=secuencia+1 where prefijo='" + ncf + "'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }


      })
 $("#txt-buscar").focus()
  }

  get_ncf()

  function get_ncf() {
    ncf = $("#ncf").val()
    var sql = "select * from ncf where prefijo='" + ncf + "'"
    $(".modal").modal("hide");
    //$("#loading").modal("show");
    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
        secuenciancf = rs.data[0].secuencia;
        tipo_ncf = rs.data[0].tipo;
        ///alert(rs.data[0].prefijo)


      });
	   $("#txt-buscar").focus()
  }

$("#txt-buscar").focus()
$("#txt-buscar").val("")

var grabando=""
  function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){
	
		sec_grabar_venta();
	
	  }
  
}


$(".btn-grabar").on("keypress", function(){
  uniKeyCode(event);
})

window.addEventListener("keydown",tecla,false);

function tecla(e){
	//alert(e.keyCode)

	if(e.keyCode=="45"){modalProductos()}
	if(e.keyCode=="121"){grabar()}
	if(e.keyCode=="13"){
		var cdg = $("#txt-buscar").val()
		if(cdg!=""){
			get_lista2(cdg);
		}
	}
	
	if(e.keyCode=="107"){
    $("#txt-buscar").val("") 
    $("#txt-buscar").select()
   
      ver2();
      $("#txt-buscar").val("") 
    
  }
  ////if(e.keyCode=="107"){$("#modalDetalle").modal('show'); ver(id_detalle)}
}



$("#txt-cantidad").on("keypress", function(e){
if(e.keyCode=="13"){update_detalle()}
})



function f_impuestos(tipo,precio){
  var it = parseFloat(precio)/parseFloat("1."+tipo);
  var valor  = parseFloat(precio) - it
  if(isNaN(valor)){valor = 0;}
  if(tipo==""){valor=0}
  var v = valor.toFixed(3)
  return v;
}








  function devuelta() {
    var monto = $("#txt-monto").val()
    var pagado = $("#txt-pagado").val()
    if (parseFloat(pagado) > parseFloat(monto)) {
      var res = parseFloat(pagado) - parseFloat(monto);
      $("#txt-devuelta").val(res);
    } else {
      $("#txt-devuelta").val("");
    }

  }


  function _secuencia(){
    var sql = "select * from apertura_caja where caja='" + myCaja + "' and usuario='"+myUser+"' order by id desc limit 1";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
		var rs = JSON.parse(data); 
        if(data=="null" && myLevel=="Cajero"){alert("Esta caja esta cerrada!"); return;}
        secuencia = rs.data[0].id+"-"+myCaja;
		
      })
  }
  
  



  function sec_grabar_venta2(){
    $(".modal").modal("hide");
    $("#loading").modal("show");
    var sql = "select * from apertura_caja where caja='" + myCaja + "' and usuario='"+myUser+"' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data=="null"  && myLevel=="Cajero"){alert("Esta caja esta cerrada!"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
        grabar_venta();

      })
  }
  
  function cuenta(){
	  var cliente = $("#txt-ticket").val()
    var ven = $("#id_venta").val()
		if(cliente==""){alert("Falta nombre ticket"); return}
	     window.open('ticket_cuenta.php?folio=' + ven+"&cliente="+cliente+"&usuario="+myUser, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
 </script> 
  <?php $cotizacion = $_GET["cotizacion"];
  
  ?>
 <script> 
 var cotizacion = "<?php echo $cotizacion?>";
   if(cotizacion=="1"){
		  $("#txt-ticket").val("COTIZACION");
		  $("#txt-ticket").prop("disabled", true);
		  $("#btn_grabar").hide();
	  }
    function cotizar(){
	  var cliente = $("#txt-ticket").val()
	  var cotizacion = "<?php echo $cotizacion?>";
	 
    var ven = $("#id_venta").val()
	
		$("#txt-ticket").val("COTIZACION");
	   setTicket();
		if(cliente==""){alert("Falta nombre ticket"); return}
		
	     window.open('ticket_cotizacion.php?folio=' + ven+"&cliente="+cliente+"&usuario="+myUser, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
		 setTimeout(function(){
			 window.location.href="_nueva_venta.php";
		 },2000);
		 
  }

  function cancelar(){
  if(!confirm("Seguro de borrar esta venta")){; return;}
   auth_user_cancelar_venta();
    }
				
function cancelar2(){
    var sql = "delete from ventas where id_venta='" + $("#id_venta").val()+"'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }
      })


        sql = "delete from detalle_venta where folio='" + $("#id_venta").val()+"'";
        $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }
        window.location.href="ventas_abiertas.php";
      })

}   	








function impuestos() {
    var i18=0.00;
    var i16=0.00;
    var i13=0.00;
    var i10=0.00;
    var ie=0.00;
    var sql = "select tipo_impuesto, total_impuesto from  detalle_venta where folio='" + $("#id_venta").val() + "'";
   
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "null") {
          $("#lb-exento").html("0.00")
          $("#lb-16").html("0.00")
		  $("#lb-18").html("0.00")
		  $("#lb-13").html("0.00")
		  $("#lb-10").html("0.00")
          return;
        }

        var rs = JSON.parse(data);
        c = 0;
        for (var i in rs.data) {
        if(rs.data[i].tipo_impuesto=="18.00"){
            i18 += parseFloat(rs.data[i].total_impuesto);
        }
        
        if(rs.data[i].tipo_impuesto=="16.00"){
            
            i16 += parseFloat(rs.data[i].total_impuesto);
        }
            if(rs.data[i].tipo_impuesto=="0.00"){
            ie += parseFloat(rs.data[i].total_impuesto);
        }
        
          if(rs.data[i].tipo_impuesto=="13.00"){
            i13 += parseFloat(rs.data[i].total_impuesto);
        }
        
            if(rs.data[i].tipo_impuesto=="10.00"){
            i10 += parseFloat(rs.data[i].total_impuesto);
        }

        }
        var todos_impuestos = parseFloat(i18) + parseFloat(i16) + parseFloat(i13) + parseFloat(i10) + parseFloat(ie) 
        $("#lb-18").html(i18)
        $("#lb-16").html(i16)
        $("#lb-13").html(i13)
        $("#lb-10").html(i10)
        $("#lb-exento").html(ie)
        
        
        ////$("#lb-total").html(numeral(total).format('0,0.00'))
       // $("#lb-impuestos").html(numeral(i18).format('0,0.00'))
        $("#txt-impuestos").val(todos_impuestos);
        
         i18=0.00;
         i16=0.00;
         i13=0.00;
         i10=0.00;
         ie=0.00;
         

      })
	  $("#txt-buscar").focus()
   
  }
 var from_cod =""; 
function get_lista2(cod){
    var sql = "select * from inventario where codigo='" + cod + "' and almacen='almacen-1'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
         from_cod = "1";
        for (var i in rs.data) {
          id_producto = rs.data[i].id_inventario;
          codigo = rs.data[i].codigo;
          descripcion = rs.data[i].descripcion;
          costo = rs.data[i].costo;
          precio = rs.data[i].precio;
		  precio2 = rs.data[i].precio2;
          tipo_impuesto = rs.data[i].tipo_impuestos;
          valor_impuesto = rs.data[i].valor_impuestos;
		  
        }
        agregar(codigo, descripcion, costo, precio,precio2, tipo_impuesto, valor_impuesto);

      })
}

///estado mesa///
estado_mesa()
function estado_mesa(){

 
    try {
      var sql = "select * from ventas where estado='Abierta'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
           /// $("#lista-productos").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);
          
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_venta
            if(rs.data[i].total>0){
                var ms = rs.data[i].ticket
                 $('.'+ms).removeClass("mesa_verde");
                 $('.'+ms).addClass("mesa_roja");

                 ///alert(ms);
            }else{
               /// $('.'+ms).removeClass("mesa_roja");
                ///$('.'+ms).addClass("mesa_verde");
            }

          }
         
          

        })
    } catch (e) {
      alert(e.message)
    }
  }

if(myLevel=="Cajero"){
	$(".cajero").hide()
}
if(myLevel=="Vendedor"){
	$(".vendedor").hide()
}
</script>